/**
 * generated by Xtext 2.15.0
 */
package org.sif.dsl.ui.labeling;

import com.google.inject.Inject;
import org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider;
import org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider;
import org.sif.dsl.sat.And;
import org.sif.dsl.sat.Biimplies;
import org.sif.dsl.sat.Check;
import org.sif.dsl.sat.Excludes;
import org.sif.dsl.sat.Implies;
import org.sif.dsl.sat.Not;
import org.sif.dsl.sat.Or;
import org.sif.dsl.sat.PFormula;
import org.sif.dsl.sat.SatSolver;

/**
 * Provides labels for EObjects.
 * 
 * See https://www.eclipse.org/Xtext/documentation/304_ide_concepts.html#label-provider
 */
@SuppressWarnings("all")
public class SatLabelProvider extends DefaultEObjectLabelProvider {
  @Inject
  public SatLabelProvider(final AdapterFactoryLabelProvider delegate) {
    super(delegate);
  }
  
  public String text(final Check c) {
    return "Check";
  }
  
  public String text(final SatSolver s) {
    return s.getName();
  }
  
  public String text(final Biimplies f) {
    return "Biimplies";
  }
  
  public String text(final Implies f) {
    return "Implies";
  }
  
  public String text(final Or f) {
    return "Or";
  }
  
  public String text(final Excludes f) {
    return "Excludes";
  }
  
  public String text(final And f) {
    return "And";
  }
  
  public String text(final Not f) {
    return "Not";
  }
  
  public String text(final PFormula f) {
    return "PFormula";
  }
}
